CI builds in containers (#4174)
* builds in containers * fix build problems
Paweł Krupa committed
Sep 12, 2018 at 19:09 UTC
70117d8e5a1dcf5c0cb77c014077f3c67f848efe
6 files changed
+39
-2
.travis.yml
+11
-2
@@ -38,9 +38,18 @@ jobs:
38
# - name: "Node.js"
39
# script: tests/run_nodejs.sh
40
- stage: "build"
41
- name: "linux"
41
+ name: "ubuntu 14.04 (not containerized)"
42
install: sudo apt-get install -y libcap2-bin zlib1g-dev uuid-dev fakeroot
43
- script: fakeroot ./netdata-installer.sh --install $HOME --dont-wait --dont-start-it
43
+ script: fakeroot ./netdata-installer.sh --dont-wait --dont-start-it --install $HOME
44
+ - name: "ubuntu 18.04"
45
+ script: ./.travis/containerized_build.sh ubuntu1804
46
+ - name: "CentOS 7"
47
+ script: ./.travis/containerized_build.sh centos7
48
+ - name: "CentOS 6"
49
+ script: ./.travis/containerized_build.sh centos6
50
+# TODO: cannot run installer without bash
51
+# - name: "alpine"
52
+# script: ./.travis/containerized_build.sh alpine
53
- name: "OSX"
54
install: brew install fakeroot ossp-uuid
55
script:
.travis/containerized_build.sh
new
+7
@@ -0,0 +1,7 @@
1
+#!/bin/bash
2
+
3
+set -e
4
+
5
+docker build -t dev-image -f .travis/images/Dockerfile.$1 .
6
+
7
+docker run -it -w /code dev-image ./netdata-installer.sh --dont-wait --dont-start-it --install /tmp
.travis/images/Dockerfile.alpine
new
+5
@@ -0,0 +1,5 @@
1
+FROM alpine:latest
2
+
3
+RUN apk add gcc make autoconf automake pkgconfig zlib-dev libuuid git
4
+
5
+COPY . /code
.travis/images/Dockerfile.centos6
new
+5
@@ -0,0 +1,5 @@
1
+FROM centos:6
2
+
3
+RUN yum install -y gcc make autoconf automake pkg-config zlib-devel libuuid-devel git
4
+
5
+COPY . /code
.travis/images/Dockerfile.centos7
new
+5
@@ -0,0 +1,5 @@
1
+FROM centos:7
2
+
3
+RUN yum install -y gcc make autoconf automake pkg-config zlib-devel libuuid-devel git
4
+
5
+COPY . /code
.travis/images/Dockerfile.ubuntu1804
new
+6
@@ -0,0 +1,6 @@
1
+FROM ubuntu:18.04
2
+
3
+RUN apt-get update && \
4
+ apt-get install -y gcc make autoconf automake pkg-config zlib1g-dev uuid-dev git
5
+
6
+COPY . /code